package ru.yandex.webmaster3.core.semantic.data_reactor_common.impl.processors.schemaorg.organization;

import ru.yandex.webmaster3.core.semantic.data_reactor_common.Entity;
import ru.yandex.webmaster3.core.semantic.data_reactor_common.EntityProcessor;
import ru.yandex.webmaster3.core.semantic.data_reactor_common.impl.processors.ZipperProcessor;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by aleksart on 04.06.14.
 */
public class LocationFromSchema extends EntityProcessor{
    @Override
    public Collection<Entity> process(Entity e) {
        Map<String, String> azips = new HashMap();
        azips.put("geo/latitude/data", "latitude");
        azips.put("geo/longitude/data", "longitude");
        ZipperProcessor adrZipper = new ZipperProcessor(azips);
        return adrZipper.process(e);
    }
}
